<template>
  <div class="box p-5 md:p-8 mb-10">
    <form @submit.prevent="form.patch(`/form/formTemplate/${formTemplate.id}`, { preserveScroll: true })" autocomplete="off">
      <h3>Edit Form Template</h3>

      <div class="w-full flex justify-center items-center ">
        <div class="flex w-full mb-2">
          <div class="md:flex flex-grow">
            <div class="flex flex-col w-full">
              <label for="department-name" class="text-sm font-medium text-gray-700 mb-2 mt-5">
                Template Name</label>
              <input id="name" class="input w-full" type="text" placeholder="Enter template name"
                v-model="form.name" />
              <div v-if="form.errors.name" class="text-error">
                {{ form.errors.name }}
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="w-full flex justify-center items-center ">
        <div class="flex w-full mb-2">
          <div class="md:flex flex-grow">
            <div class="flex flex-col w-full">
              <label for="employee-name" class="text-sm font-medium text-gray-700 mb-2 mt-5">Description
              </label>
              <textarea v-model="form.description" class="textarea" placeholder="Enter description in here" />
              <div v-if="form.errors.description" class="text-error">
                {{ form.errors.description }}
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="mt-7">
        <label class="block mb-2 text-sm font-medium text-gray-700 ">
          Who can raise forms of this template? (Form Raisers)</label>
        <multiselect v-model="form.raisers" :multiple="true" :options="users" label="name" track-by="id"
          :customLabel="(user) => `${user.name} (${user.role.name}) - CID ${user.cid}`">
        </multiselect>
        <div v-if="form.errors.raisers" class="text-error">
          {{ form.errors.raisers }}
        </div>
      </div>

      <div class="flex gap-x-3 mt-3 flex-row-reverse">
        <button type="submit" class="btn bg-green-500 text-white px-4 py-2 rounded-md hover:bg-green-600 focus:outline-none focus:ring-2 focus:ring-green-500 focus:ring-offset-2">Save</button>
    <Link href="/creationhub/formTemplate" class="btn bg-gray-200 text-gray-700 px-4 py-2 ml-3 rounded-md hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-gray-500 focus:ring-offset-2">Cancel</Link>
      

      </div>
    </form>
  </div>
</template>

<script setup>
import { useForm, Link } from '@inertiajs/vue3';

const props = defineProps({
  users: Array,
  formTemplate: Object,
})

const form = useForm({
  name: props.formTemplate.name,
  description: props.formTemplate.description,
  raisers: props.formTemplate.users
});

</script>